Page MenuHomePhabricator

Mobile menu no JS fallback (alpha)
Closed, ResolvedPublic2 Story Points

Description

As a user on a device that doesn't support JavaScript, I want to be taken to an obvious search box with a search button when I tap on the header, so I can still search Wikipedia.

If Javascript is not enabled, tapping the search icon in the top header takes the user to this page, with no-js search field and menu items.

https://phabricator.wikimedia.org/T92675

Event Timeline

KLans_WMF raised the priority of this task from to Needs Triage.
KLans_WMF updated the task description. (Show Details)
KLans_WMF added a subscriber: KLans_WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 6:49 PM
KLans_WMF set Security to None.Mar 30 2015, 7:00 PM
KLans_WMF edited a custom field.
bmansurov updated the task description. (Show Details)Apr 1 2015, 9:12 PM
bmansurov added subscribers: KHammerstein, bmansurov.

@KHammerstein, were you going to upload a new mock (with a bigger button) here?

@KHammerstein, thanks. Shouldn't the first search icon be a back icon?

@bmansurov my bad! Updated again

@KHammerstein, forgot to ask. Didn't we agree that the icon would look similar to the 'Add discussion' icon below (so that it's easier to tap on)?

@bmansurov Good point, but we decided to go with the smaller button because the larger wouldn't look connected to the search field.

@KHammerstein, ok thanks. Also, do you think I should use the new mw-ui-input design [1] (where there is no left border) or should I use your design (which I think is the old design - sorry, if it's not the case).

[1] https://tools.wmflabs.org/styleguide/desktop/section-1.html

@bmansurov Oh yes, use the new input design, I'll update again. Thanks for clarifying all these details!

Change 201399 had a related patch set uploaded (by Bmansurov):
Alpha: Improved search form for non-js users

https://gerrit.wikimedia.org/r/201399

Change 201399 merged by jenkins-bot:
Alpha: Improved search form for non-js users

https://gerrit.wikimedia.org/r/201399

@KHammerstein i think we'll want your final signoff on this

JKatzWMF closed this task as Resolved.Apr 13 2015, 7:19 PM